Bug 1043917 - asterisk: asterisk manager user dialplan permission escalation
asterisk: asterisk manager user dialplan permission escalation
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20131216,repo...
: Security
Depends On: 1043921 1043923
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-17 07:54 EST by Ratul Gupta
Modified: 2015-08-22 12:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: asterisk 1.8.24.1, asterisk 11.6.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 12:47:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-12-17 07:54:00 EST
External control protocols, such as the Asterisk Manager Interface, often have the ability to get and set channel variables; this allows the execution of dialplan functions.

Dialplan functions within Asterisk are incredibly powerful, which is wonderful for building applications using Asterisk. But during the read or write execution, certain diaplan functions do much more. For example, reading the SHELL() function can execute arbitrary commands on the system Asterisk is running on. Writing to the FILE() function can change any file that Asterisk has write access to.

When these functions are executed from an external protocol, that execution could result in a privilege escalation.

References:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=732355
http://downloads.asterisk.org/pub/security/AST-2013-007.html

Patch:
1.8: http://downloads.asterisk.org/pub/security/AST-2013-007-1.8.diff
11: http://downloads.asterisk.org/pub/security/AST-2013-007-11.diff
Comment 1 Ratul Gupta 2013-12-17 07:55:42 EST
Created asterisk tracking bugs for this issue:

Affects: fedora-all [bug 1043921]
Affects: epel-6 [bug 1043923]
Comment 2 Murray McAllister 2013-12-22 19:44:02 EST
Looks like this will not get a CVE. Explanation in the following:

http://seclists.org/oss-sec/2013/q4/530
Comment 3 Fedora Update System 2014-01-08 02:50:35 EST
asterisk-11.7.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2014-01-08 02:54:58 EST
asterisk-11.7.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-01-08 02:59:10 EST
asterisk-11.7.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.